EDIT - bug #6969

Use media representation which best fits the available size for taxon profile picture
09/21/2017 11:24 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.10

Severity: critical Found in Version:

Description

As an example you find a taxon with 3 different images here:
http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/taxon/29899fed-812d-49ae-b88f-70d25fd27691

| used 3 different pictures to easier distinguish which image was taken. There is a thumbnail image (120px), medium 350px and large
image.

Currently the thumbnail is shown as profile picture, but the medium should be shown.

Related issues:

Related to EDIT - bug #6684: Use media representation which best fits the ava... Closed
Related to EDIT - bug #6683: Use best quality media representation in image v... Closed
Related to EDIT - bug #6970: MediaUtils.filterAndOrderMediaRepresentations p... Closed
Related to EDIT - bug #7093: choosing representation which best fits the avai... Worksforme
Copied to EDIT - bug #6975: improve preferred media calculation algorithm in ... New

Associated revisions

Revision 02faa087 - 09/22/2017 10:39 AM - Andreas Kohlbecker

fix #6969 using the size defined in settings to use the preferred representation

® also using a workaround to circumvent the problem decribed in ref #6970

Revision 673929dd - 09/22/2017 11:53 AM - Andreas Kohlbecker

ref #6969 fixing bug in preferred media calculation

History

#1 - 09/21/2017 11:26 PM - Andreas Miuller

- Related to bug #6684: Use media representation which best fits the available viewport size for the Image Overlay added

#2 - 09/21/2017 11:27 PM - Andreas Miuller

- Related to bug #6683: Use best quality media representation in image viewer on media page added

#3 - 09/21/2017 11:29 PM - Andreas Miller

- Description updated

#4 - 09/22/2017 10:35 AM - Andreas Kohlbecker
- Related to bug #6970: MediaUltils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized added

#5 - 09/22/2017 10:40 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|02faa0870abc69cd6fe2fd7ddc8ddd6f684c3d97.

#6 - 09/22/2017 11:38 AM - Andreas Miiller
http://test.e-taxonomy.eu/dataportal/preview/salvador/cdm_dataportal/taxon/29899fed-812d-49ae-b88f-70d25fd27691
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/02faa0870abc69cd6fe2fd7ddc8ddd6f684c3d97

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

#7 - 09/22/2017 12:16 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Andreas Kohlbecker
Generally the switch seems to work.

Only the algorithm for me should decide earlier to take a larger image.

| played around with the given example and changed in the admin tools the size of the profile picture. Somewhere between 310 and 320 it switched
from thumbnail to medium size.

The thumbnail has size 120(h)x80(w), medium has 527x350.
With picture size 310 this results in a picture of bad quality as the thumbnail is augmented by factor >2.5.

However, we may close this ticket and create a new one for adjusting the algorithm (both in dataportal and cdmlib)

#8 - 09/22/2017 02:52 PM - Andreas Kohlbecker

- Copied to bug #6975: improve preferred media calculation algorithm in cdmlib added

#9 - 09/22/2017 02:53 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed

Ok, agreed, | created a new ticket for the improvement of the calculation: #6975 and | am closing this ticket by now.

#10 - 09/22/2017 02:53 PM - Andreas Kohlbecker
- % Done changed from 50 to 100

#11 - 11/24/2017 04:48 PM - Andreas Kohlbecker

- Related to bug #7093: choosing representation which best fits the available size for taxon profile picture not working in all cases added
